aboutsummaryrefslogtreecommitdiffstats
path: root/games/linux-warsow/pkg-deinstall
diff options
context:
space:
mode:
Diffstat (limited to 'games/linux-warsow/pkg-deinstall')
-rw-r--r--games/linux-warsow/pkg-deinstall16
1 files changed, 16 insertions, 0 deletions
diff --git a/games/linux-warsow/pkg-deinstall b/games/linux-warsow/pkg-deinstall
new file mode 100644
index 000000000000..6fb33555bef1
--- /dev/null
+++ b/games/linux-warsow/pkg-deinstall
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+case $2 in
+ DEINSTALL)
+ config_file=$PKG_PREFIX/lib/warsow/basewsw/config.cfg
+
+ if [ -e $config_file ] && ! [ -s $config_file ]; then
+ rm -f $config_file
+ fi
+ ;;
+
+ POST-DEINSTALL)
+ rmdir $PKG_PREFIX/lib/warsow/basewsw 2>/dev/null || true
+ rmdir $PKG_PREFIX/lib/warsow 2>/dev/null || true
+ ;;
+esac